Protect yourself, family and business





 Manual

 FAQ

 Program Upgrade

 Additional Licenses

 Requirements

Protect children and guard public-use computers  
Solutions for parents, schools, libraries and cybercafes  


CyberSieve System Requirements

  • Microsoft Windows 98 / Me / 2000 / XP is required for CyberSieve version 1.3 and earlier


  • Microsoft Windows 2000 SP4 / XP SP2 (32 or 64 Bit) / Vista SP1 (32 or 64 Bit) / Windows 7 (32 or 64 Bit) is required for CyberSieve version 2.7 and later


  • Pentium or AMD Athlon (K6/2 or higher) processor


  • Approximately 15 Mb free disk space


  • 64 Mb RAM


  • For installation: Administrator rights


  • Connection to Internet or local Network




About SoftForYou    Privacy    Legal    Links    Contact Us    SoftForYou

Copyright  20002011  SoftForYou